Subject: Re: [lemonade] Comments on reconnect-01

From: Randall Gellens <[email-masked]>
Date: Tue, 12 Oct 2004 10:29:54 -0700

At 9:07 AM -0700 10/12/04, Mark Crispin wrote:

>  On Tue, 12 Oct 2004, Randall Gellens wrote:
>>  So should we perhaps produce an Informational or BCP that gives 
>> advice on good use of IMAP?  Perhaps this document should include 
>> an example of good use of IMAP and then show which problems still 
>> remain?
>
>  My experience of trying to do this has not been positive.
>
>  The problem is that many (most?) clients are designed with a model 
> of how the access mechanism should work, and then shoehorn the 
> access mechanism into fitting into that model.  If the application 
> has not considered the facilities of the access mechanism from 
> inception, often what we end up using is a "lowest common 
> denominator".  It doesn't help to tell the developer "use the 
> protocol this way" if "this way" makes no sense in the design of 
> the application.
>
>  I don't know how to resolve this issue.

In the case of a mobile (handset/PDA/etc.) IMAP client, this might be 
a new application or at least a redesign, so we may have a chance 
here.

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
There are two kinds of lawyers, those who know the law and those who
know the judge.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade